Administration

Reset a user's two-factor authentication

DELETE/api/admin/users/{userId}/2fa

Removes the specified user's authenticator setup, backup codes, used-code history, and failed-attempt limits so they can set up authentication again.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
userIdrequiredstringID of the associated user.

Responses

200The operation completed successfully.
NameTypeDescription
okrequiredbooleanWhether the operation succeeded.
resetrequiredobject
userIdrequiredstringID of the associated user.
200 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example
404Not found.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
404 example

Code samples

cURL